Identity, people & notifications

Get Employee Sync History

Lists paginated employee sync runs for the org with filter-config name and triggering user email.

GEThttps://api.toku.com/stablecoin-payroll/get-employee-sync-history

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/get-employee-sync-history' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "syncHistory": [
    {
      "id": "string",
      "orgID": "string",
      "syncRunId": "string",
      "syncType": "string",
      "syncSource": "string",
      "filterConfigId": "string",
      "filterConfigName": "string",
      "totalRecords": 0,
      "filteredRecords": 0,
      "processedRecords": 0,
      "createdRecords": 0,
      "updatedRecords": 0,
      "failedRecords": 0,
      "startedAt": "string",
      "completedAt": "string",
      "durationMs": 0,
      "status": "string",
      "triggeredBy": "string",
      "triggeredByEmail": "string",
      "createdAt": "string"
    }
  ],
  "total": 0,
  "limit": 0,
  "offset": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstring
syncTypestring

Available options: manual, automatic

syncSourcestring

Available options: CSV_UPLOAD, WORKDAY, ADP, UKG, TOKUEOR, TRINET, GUSTO, DEEL, BAMBOOHR, IMPORTED, OTHER

statusstring
limitnumber

Allowed: 1 to 100

Default: 20

offsetnumber

Allowed: at least 0

Default: 0

Response

200Successful response
syncHistoryobject[]required
Show child attributes
idstringrequired
orgIDstringrequired
syncRunIdstringrequired
syncTypestringrequired
syncSourcestringrequired
filterConfigIdstring | nullrequired
filterConfigNamestring
filterSnapshotanyrequired
totalRecordsintegerrequired
filteredRecordsintegerrequired
processedRecordsintegerrequired
createdRecordsintegerrequired
updatedRecordsintegerrequired
failedRecordsintegerrequired
startedAtstringrequired
completedAtstring | nullrequired
durationMsinteger | nullrequired
statusstringrequired
errorsanyrequired
triggeredBystring | nullrequired
triggeredByEmailstring
createdAtstringrequired
totalintegerrequired
limitnumberrequired
offsetnumberrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits